1. Are you ready for the Galaxy S20? Here is everything we know so far!

WhatsApp not compatible

Discussion in 'Android Devices' started by mseif, Aug 22, 2012.

  1. mseif

    mseif Member
    Thread Starter

    I have a galaxy S2 with ICE 4.0.3 , when I tried to install whatsapp from Google play, it said this app is incompatible with my Samsung GT-I9100.

    Is that true or I am missing something ? Thanks
     



    1. Download the Forums for Android™ app!


      Download

       
  2. jimmysgs2

    jimmysgs2 Newbie

    Hi,

    My S2 is running 4.03 and Whatsapp seems to be running fine. Sorry but Im not sure why you would get that message.
     
  3. FirebirdStud

    FirebirdStud Android Enthusiast

    that is messed up. It works fine on my device which is identical to yours!
     
  4. mseif

    mseif Member
    Thread Starter

    Thank you both. Your comments let me tried ( and succeeded to install it directly via the program whatsapp.apk on the mobile itself. It is working perfectly.
    Still do not know, why Google Play, is saying incompatible !!!
     
  5. sagigreen

    sagigreen Lurker

    i have the same problem, it used to work and then it recognizes my S@ as a template and says it is not supported,

    please help
     
  6. ironass

    ironass Extreme Android User

    Download the Whatsapp.apk file to your phone. Open Downloads and click on it to install.
     
  7. Deleted User

    Deleted User Guest

    "Tablet devices are not supported". according to Whatsapp themselves, which is crazy.
     
  8. kanada

    kanada Lurker

    you from??
     

Samsung Galaxy S2 Forum

The Samsung Galaxy S2 release date was April 2011. Features and Specs include a 4.3" inch screen, 8MP camera, 1GB RAM, Exynos 4210 Dual processor, and 1650mAh battery.

April 2011
Release Date
0
Reviews
Loading...

Share This Page

Loading...